RK-J - Task #2581
Feature # 2560 (Closed): Enable link update of a "link updated" book

Add data-source attribute in the existing 'anchor tags'/'lurls’ in the document during overwrite a
book.

08/05/2022 07:04 AM - Ayush Khandelwal

Status: Closed Start date: 08/05/2022
Priority: Urgent Due date: 08/05/2022
Assignee: Ayush Khandelwal % Done: 100%
Category: Estimated time: 2.00 hours
Target version: 1-RK-J-1 Spent time: 0.00 hour
Description

data-source will contain o-url of the internal link from new document

Scheme:

updateAllInternallinksWithDataSource (oldDocContent, newDocContent) :
- newHreflLinks = getAllLinks (newDocContent) ;
— oldHreflLinks = getAllLinks (oldDocContent);
- for(i=0; i < oldHrefLinks.size(); i++):
- oldHreflLink = oldHreflLinks[i];
— if (oldHreflink.startsWith ('document/") :
— oldHrefLink.setAttribute ('data-source', newHrefLinks[i]);

History

#1 - 08/05/2022 07:04 AM - Ayush Khandelwal

data-source will contain o-url of the internal link from new document

#2 - 08/05/2022 07:05 AM - Ayush Khandelwal

- Description updated

#3 - 08/05/2022 07:46 AM - Venmuhilan B

- Status changed from New to In Progress

#4 - 08/05/2022 01:22 PM - Venmuhilan B
- Status changed from In Progress to Resolved

- % Done changed from 0 to 100

#5 - 08/05/2022 01:40 PM - Ayush Khandelwal
- Description updated
- Status changed from Resolved to Reopened

- % Done changed from 100 to 10

#6 - 08/05/2022 01:42 PM - Ayush Khandelwal

- Description updated

#7 - 08/05/2022 02:40 PM - Venmuhilan B
- Status changed from Reopened to In Progress

- % Done changed from 10 to 100

#8 - 08/05/2022 02:40 PM - Venmuhilan B

- Status changed from In Progress to Resolved
#9 - 08/18/2022 10:29 AM - Venmuhilan B
- Status changed from Resolved to Feedback

- Assignee changed from Venmuhilan B to Ayush Khandelwal

#10 - 09/21/2022 05:49 AM - Ayush Khandelwal
- Status changed from Feedback to Closed

Working as expected
